View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
15663Bug reportsFile managerpublic2021-07-13 16:53
Reporterjelo Assigned Top_teichmann  
PrioritylowSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version3.21.2 
Summary15663: Resources Manager (Images,files,others) is ignoring subfolders in ZIP when importing.
DescriptionSubfolders are in the ZIP-Archive when exporting, but are ignored when importing the ZIP-Archive.
Only files in the main folders are imported.
TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)Version 3.21.2+191216
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1.X

Activities

p_teichmann

p_teichmann

2021-07-13 16:38

administrator   ~65426

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32179

Related Changesets

LimeSurvey: master 71c40224

2021-05-20 10:10:05

p_teichmann

Details Diff
Fixed issue 15663: Resources Manager does not import subfolders from zip file Affected Issues
15663
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/models/services/FilterImportedResources.php Diff File
mod - application/views/surveyAdministration/importSurveyResources_view.php Diff File

Issue History

Date Modified Username Field Change
2019-12-17 11:49 jelo New Issue
2020-01-10 15:41 cdorin Assigned To => cdorin
2020-01-10 15:41 cdorin Status new => assigned
2020-05-11 10:51 ollehar Category Import/Export => File manager
2020-05-18 16:27 ollehar Relationship added child of 16291
2020-05-18 16:28 ollehar Relationship deleted child of 16291
2021-02-04 10:15 cdorin Status assigned => new
2021-02-04 21:33 cdorin Assigned To cdorin =>
2021-02-04 21:33 cdorin Priority none => low
2021-02-04 21:33 cdorin Status new => confirmed
2021-02-08 17:41 ollehar Severity crash => partial_block
2021-05-20 17:09 c_schmitz Assigned To => c_schmitz
2021-05-20 17:09 c_schmitz Status confirmed => testing
2021-07-13 16:38 p_teichmann Changeset attached => LimeSurvey master 71c40224
2021-07-13 16:38 p_teichmann Note Added: 65426
2021-07-13 16:38 p_teichmann Bug heat 0 => 2
2021-07-13 16:38 p_teichmann Assigned To c_schmitz => p_teichmann
2021-07-13 16:38 p_teichmann Resolution open => fixed
2021-07-13 16:53 c_schmitz Status testing => resolved